Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.netobjects
Class Person

    java.lang.Object
      scone.netobjects.TableRecord
          scone.netobjects.Person

All Implemented Interfaces:
  Cacheable

    public class Person

extends TableRecord

Author:
  Harald Weinreich, Volkert Buchmann

Field Summary
`static java.lang.String` | `COPYRIGHT`
`protected static DBTableAdapter` | `dbTable`

Fields inherited from class scone.netobjects.TableRecord
`ctei, date, fieldValues, hasChanged, hasRecordInDB, persistent`

Constructor Summary
`Person()`
`Person(java.lang.String id)`

Method Summary
`java.lang.String` | `getCity()`
`java.lang.String` | `getEmail()`
`java.lang.String` | `getFaxnumber()`
`java.lang.String` | `getFirstName()`
`java.lang.String` | `getHomepage()`
`java.lang.Object` | `getKey(int KeyNo)` returns the hashkey for this object (to be deprecated!)
`java.lang.String` | `getLastName()`
`java.lang.String` | `getMobile()`
`java.lang.String` | `getOrganization()`
`java.lang.String` | `getPersonId()`
`java.lang.String` | `getPhone1()`
`java.lang.String` | `getPhone2()`
`java.lang.String` | `getPostalCode()`
`java.lang.String` | `getSecondName()`
`java.lang.String` | `getState()`
`java.lang.String` | `getStreet()`
`void` | `setCity(java.lang.String value)`
`void` | `setEmail(java.lang.String value)`
`void` | `setFaxnumber(java.lang.String value)`
`void` | `setFirstName(java.lang.String value)`
`void` | `setHomepage(java.lang.String value)`
`void` | `setLastName(java.lang.String value)`
`void` | `setMobile(java.lang.String value)`
`void` | `setOrganization(java.lang.String value)`
`void` | `setPhone1(java.lang.String value)`
`void` | `setPhone2(java.lang.String value)`
`void` | `setPostalCode(java.lang.String value)`
`void` | `setSecondName(java.lang.String value)`
`void` | `setState(java.lang.String value)`
`void` | `setStreet(java.lang.String value)`
`void` | `store()` writes a persistent representation of the object to the storage.

Methods inherited from class scone.netobjects.TableRecord
`isPersistent, now, setCacheTableEntryInterface, setChanged, setPersistent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### dbTable

    protected static DBTableAdapter dbTable

Constructor Detail

### Person

    public Person()

### Person

    public Person(java.lang.String id)

Method Detail

### getPersonId

    public java.lang.String getPersonId()

### getFirstName

    public java.lang.String getFirstName()

### setFirstName

    public void setFirstName(java.lang.String value)

### getSecondName

    public java.lang.String getSecondName()

### setSecondName

    public void setSecondName(java.lang.String value)

### getLastName

    public java.lang.String getLastName()

### setLastName

    public void setLastName(java.lang.String value)

### getOrganization

    public java.lang.String getOrganization()

### setOrganization

    public void setOrganization(java.lang.String value)

### getStreet

    public java.lang.String getStreet()

### setStreet

    public void setStreet(java.lang.String value)

### getCity

    public java.lang.String getCity()

### setCity

    public void setCity(java.lang.String value)

### getState

    public java.lang.String getState()

### setState

    public void setState(java.lang.String value)

### getPostalCode

    public java.lang.String getPostalCode()

### setPostalCode

    public void setPostalCode(java.lang.String value)

### getPhone1

    public java.lang.String getPhone1()

### setPhone1

    public void setPhone1(java.lang.String value)

### getPhone2

    public java.lang.String getPhone2()

### setPhone2

    public void setPhone2(java.lang.String value)

### getMobile

    public java.lang.String getMobile()

### setMobile

    public void setMobile(java.lang.String value)

### getFaxnumber

    public java.lang.String getFaxnumber()

### setFaxnumber

    public void setFaxnumber(java.lang.String value)

### getEmail

    public java.lang.String getEmail()

### setEmail

    public void setEmail(java.lang.String value)

### getHomepage

    public java.lang.String getHomepage()

### setHomepage

    public void setHomepage(java.lang.String value)

### store

    public void store()

  Description copied from interface: `Cacheable`
  writes a persistent representation of the object to the storage. For example the scone database.

### getKey

    public java.lang.Object getKey(int KeyNo)

  Description copied from interface: `Cacheable`
  returns the hashkey for this object (to be deprecated!)

  Specified by:
    `getKey` in interface `Cacheable`
  Specified by:
    `getKey` in class `TableRecord`
  Parameters:
    `KeyNo` - the number of the key to be generated
  Returns:
    the Key(s) corresponding to the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD